Home

TON Index (mainnet)

v1.0.0
Base URL
https://ton-index.nownodes.io

TON Index collects data from a full node to PostgreSQL database and provides convenient API to an indexed blockchain.

Authentication

api-keyAuthapiKey

API Key: api-key in header

TON Index (mainnet)

API V3 Reference (Index)

Get Masterchain Info

GET
https://ton-index.nownodes.io/masterchainInfo

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get up-to-date masterchain state.

Response

200OK

Successful Response

Get Blocks

GET
https://ton-index.nownodes.io/blocks

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns blocks by specified filters.

Parameters

workchainintegerquery

Block workchain.

shardstringquery

Block shard id. Must be sent with workchain. Example: 8000000000000000

seqnointegerquery

Block block seqno. Must be sent with workchain and shard.

start_utimeintegerquery

Query blocks with generation UTC timestamp after given timestamp.

end_utimeintegerquery

Query blocks with generation UTC timestamp before given timestamp

start_ltintegerquery

Query blocks with lt >= start_lt

end_ltintegerquery

Query blocks with lt <= end_lt

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

sortstringascdescdescquery

Sort results by UTC timestamp.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Get Shards By Masterchain Block

GET
https://ton-index.nownodes.io/masterchainBlockShardState

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

seqnointegerrequiredquery

Masterchain block seqno

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Get Address Book

GET
https://ton-index.nownodes.io/addressBook

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns an address book for given address list.

Parameters

addressArray<string>requiredquery

List of addresses in any form. Max: 1024

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Get Masterchain Block Shards

GET
https://ton-index.nownodes.io/masterchainBlockShards

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns all worchain blocks, that appeared after previous masterchain block.

Note: this method is not equivalent with /api/v2/shards.

Parameters

seqnointegerrequiredquery

Masterchain block seqno

include_mc_blockbooleanfalsequery

Include masterchain block

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Get Transactions

GET
https://ton-index.nownodes.io/transactions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get transactions by specified filters.

Parameters

workchainintegerquery

Block workchain.

shardstringquery

Block shard id. Must be sent with workchain. Example: 8000000000000000

seqnointegerquery

Block block seqno. Must be sent with workchain and shard. Must be sent in hex form.

accountArray<string>query

List of account addresses to get transactions. Can be sent in hex, base64 or base64url form.

exclude_accountArray<string>query

Exclude transactions on specified account addresses

hashstringquery

Transaction hash. Acceptable in hex, base64 and base64url forms.

ltintegerquery

Transaction lt.

start_utimeintegerquery

Query transactions with generation UTC timestamp after given timestamp.

end_utimeintegerquery

Query transactions with generation UTC timestamp before given timestamp

start_ltintegerquery

Query transactions with lt >= start_lt

end_ltintegerquery

Query transactions with lt <= end_lt

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

sortstringascdescdescquery

Sort transactions by lt.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Get Transactions By Masterchain Block

GET
https://ton-index.nownodes.io/transactionsByMasterchainBlock

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns transactions from masterchain block and from all shards.

Parameters

seqnointegerrequiredquery

Masterchain block seqno

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

sortstringnoneascdescdescquery

Sort transactions by lt.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Get Transactions By Message

GET
https://ton-index.nownodes.io/transactionsByMessage

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get transactions whose inbound/outbound message has the specified hash. This endpoint returns list of Transaction objects since collisions of message hashes can occur.

Parameters

directionstringinoutrequiredquery

Message direction.

msg_hashstringrequiredquery

Message hash. Acceptable in hex, base64 and base64url forms.

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Get Adjacent Transactions

GET
https://ton-index.nownodes.io/adjacentTransactions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get parent and/or children for specified transaction.

Parameters

hashstringrequiredquery

Transaction hash. Acceptable in hex, base64 and base64url forms.

directionstringinoutbothbothquery

Direction transactions by lt.

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

sortstringnoneascdescdescquery

Sort transactions by lt.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Get Messages

GET
https://ton-index.nownodes.io/messages

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get messages by specified filters.

Parameters

hashstringquery

Message hash. Acceptable in hex, base64 and base64url forms.

sourcestringquery

The source account address. Can be sent in hex, base64 or base64url form. Use value null to get external messages.

destinationstringquery

The destination account address. Can be sent in hex, base64 or base64url form. Use value null to get log messages.

body_hashstringquery

Message body hash. Acceptable in hex, base64 and base64url forms.

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Get Nft Collections

GET
https://ton-index.nownodes.io/nft/collections

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get NFT collections.

Parameters

collection_addressstringquery

NFT collection address. Must be sent in hex, base64 and base64url forms.

owner_addressstringquery

Address of NFT collection owner. Must be sent in hex, base64 and base64url forms.

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Get Nft Items

GET
https://ton-index.nownodes.io/nft/items

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get NFT items.

Parameters

addressstringquery

NFT address. Must be sent in hex, base64 and base64url forms.

owner_addressstringquery

Address of NFT owner. Must be sent in hex, base64 and base64url forms.

collection_addressstringquery

NFT collection address. Must be sent in hex, base64 and base64url forms.

indexstringquery

NFT Item index. Use it together with collection address.

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Get Nft Transfers

GET
https://ton-index.nownodes.io/nft/transfers

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get NFT transfers by specified filters.

Parameters

addressstringquery

Address of NFT owner. Must be sent in hex, base64 and base64url forms.

item_addressstringquery

NFT item address. Must be sent in hex, base64 and base64url forms.

collection_addressstringquery

NFT collection address. Must be sent in hex, base64 and base64url forms.

directionstringinoutbothbothquery

Direction transactions by lt.

start_utimeintegerquery

Query transactions with generation UTC timestamp after given timestamp.

end_utimeintegerquery

Query transactions with generation UTC timestamp before given timestamp

start_ltintegerquery

Query transactions with lt >= start_lt

end_ltintegerquery

Query transactions with lt <= end_lt

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

sortstringascdescdescquery

Sort transactions by lt.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Get Jetton Masters

GET
https://ton-index.nownodes.io/jetton/masters

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get Jetton masters by specified filters.

Parameters

addressstringquery

Jetton Master address. Must be sent in hex, base64 and base64url forms.

admin_addressstringquery

Address of Jetton Masters admin. Must be sent in hex, base64 and base64url forms.

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Get Jetton Wallets

GET
https://ton-index.nownodes.io/jetton/wallets

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get Jetton wallets by specified filters.

Parameters

addressstringquery

Jetton wallet address. Must be sent in hex, base64 and base64url forms.

owner_addressstringquery

Address of Jetton wallets owner. Must be sent in hex, base64 and base64url forms.

jetton_addressstringquery

Jetton Master. Must be sent in hex, base64 and base64url forms.

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Get Jetton Transfers

GET
https://ton-index.nownodes.io/jetton/transfers

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get Jetton transfers by specified filters.

Parameters

addressstringquery

Account address. Must be sent in hex, base64 and base64url forms.

jetton_walletstringquery

Jetton wallet address. Must be sent in hex, base64 and base64url forms.

jetton_masterstringquery

Jetton master address. Must be sent in hex, base64 and base64url forms.

directionstringinoutbothbothquery

Direction transactions by lt.

start_utimeintegerquery

Query transactions with generation UTC timestamp after given timestamp.

end_utimeintegerquery

Query transactions with generation UTC timestamp before given timestamp

start_ltintegerquery

Query transactions with lt >= start_lt

end_ltintegerquery

Query transactions with lt <= end_lt

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

sortstringnoneascdescdescquery

Sort transactions by lt.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Get Jetton Burns

GET
https://ton-index.nownodes.io/jetton/burns

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get Jetton burns by specified filters.

Parameters

addressstringquery

Account address. Must be sent in hex, base64 and base64url forms.

jetton_walletstringquery

Jetton wallet address. Must be sent in hex, base64 and base64url forms.

jetton_masterstringquery

Jetton master address. Must be sent in hex, base64 and base64url forms.

start_utimeintegerquery

Query transactions with generation UTC timestamp after given timestamp.

end_utimeintegerquery

Query transactions with generation UTC timestamp before given timestamp

start_ltintegerquery

Query transactions with lt >= start_lt

end_ltintegerquery

Query transactions with lt <= end_lt

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

sortstringascdescdescquery

Sort transactions by lt.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Send Message

POST
https://ton-index.nownodes.io/message

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Send external message to TON network.

Body

application/json

Message in boc base64 format.

Message in base64 boc serialized format.

bocstringrequired

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Run Get Method

POST
https://ton-index.nownodes.io/runGetMethod

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Run get method of smart contract. Stack supports only num, cell and slice types:

Copied!
[
    {
        "type": "num",
        "value": "0x12a"
    },
    {
        "type": "cell",
        "value": "te6..." // base64 encoded boc with cell
    },
    {
        "type": "slice",
        "value": "te6..." // base64 encoded boc with slice
    }
]

Body

application/json

RunGetMethod request body

any

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Estimate Fee

POST
https://ton-index.nownodes.io/estimateFee

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Estimate fee for external message.

Body

application/json

EstimateFee request body

addressstringrequired
bodystringrequired
init_codestring
init_datastring
ignore_chksigbooleantrue

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Get Account Information

GET
https://ton-index.nownodes.io/account

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get smart contract information.

Parameters

addressstringrequiredquery

Account address. Can be sent in raw or user-friendly form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

Get Wallet Information

GET
https://ton-index.nownodes.io/wallet

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get wallet smart contract information. The following wallets are supported: v1r1, v1r2, v1r3, v2r1, v2r2, v3r1, v3r2, v4r1, v4r2. In case the account is not a wallet error code 409 is returned.

Parameters

addressstringrequiredquery

Smart contract address. Can be sent in raw or user-friendly form.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error